<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdatePropertyFactTableIcons extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('property_fact')->where('id',1)->update(['icon' => '']); // General Amenities
        DB::table('property_fact')->where('id',257)->update(['icon' => 'fas fa-hot-tub']); // Spa Wellness
        DB::table('property_fact')->where('id',2)->update(['icon' => '']); // Payment Type
        DB::table('property_fact')->where('id',258)->update(['icon' => 'fas fa-spa']); // Spa, Wellness & Care
        DB::table('property_fact')->where('id',9)->update(['icon' => '']); // Accommodation Type
        DB::table('property_fact')->where('id',10)->update(['icon' => 'fas fa-hotel']); // All inclusive
        DB::table('property_fact')->where('id',16)->update(['icon' => '']); // Accommodation Services
        DB::table('property_fact')->where('id',17)->update(['icon' => 'fas fa-concierge-bell']); // Reception
        DB::table('property_fact')->where('id',26)->update(['icon' => 'fas fa-tv']); // Internet and TV
        DB::table('property_fact')->where('id',27)->update(['icon' => 'fas fa-wifi']); // Wireless Internet
        DB::table('property_fact')->where('id',30)->update(['icon' => '']); // Working Area
        DB::table('property_fact')->where('id',31)->update(['icon' => 'fas fa-briefcase']); // Business Center
        DB::table('property_fact')->where('id',292)->update(['icon' => '']); // Room Amenities
        DB::table('property_fact')->where('id',37)->update(['icon' => 'fas fa-shuttle-van']); // Transportation Services
        DB::table('property_fact')->where('id',293)->update(['icon' => '']); // Common Amenities of Rooms
        DB::table('property_fact')->where('id',38)->update(['icon' => 'fas fa-car']); // Rent a car
        DB::table('property_fact')->where('id',44)->update(['icon' => '']); // Facility Amenities
        DB::table('property_fact')->where('id',45)->update(['icon' => '']); // Activities
        DB::table('property_fact')->where('id',114)->update(['icon' => '']); // Entertainment on Facility
        DB::table('property_fact')->where('id',115)->update(['icon' => 'fas fa-sun']); // Outdoor Activities
        DB::table('property_fact')->where('id',142)->update(['icon' => 'fas fa-swimmer']); // Pool
        DB::table('property_fact')->where('id',143)->update(['icon' => 'fas fa-swimming-pool']); // Aqua Park
        DB::table('property_fact')->where('id',154)->update(['icon' => 'fas fa-utensils']); // Food and Beverage, Restaurant
        DB::table('property_fact')->where('id',182)->update(['icon' => '']); // Public Areas and Facilitiesa
        DB::table('property_fact')->where('id',183)->update(['icon' => 'fas fa-arrows-alt-v']); // Elevator
        DB::table('property_fact')->where('id',222)->update(['icon' => 'fas fa-wheelchair']); // Children and Disabled
        DB::table('property_fact')->where('id',223)->update(['icon' => 'fas fa-baby']); // Baby and Child

        DB::table('property_fact')->where('id',27)->update(['icon' => 'fas fa-wifi']);
        DB::table('property_fact')->where('id',64)->update(['icon' => 'fas fa-bullseye']);
        DB::table('property_fact')->where('id',66)->update(['icon' => 'fas fa-golf-ball']);
        DB::table('property_fact')->where('id',65)->update(['icon' => 'fas fa-ship']);
        DB::table('property_fact')->where('id',158)->update(['icon' => 'fas fa-glass-martini']);
        DB::table('property_fact')->where('id',156)->update(['icon' => 'fas fa-beer']);
        DB::table('property_fact')->where('id',166)->update(['icon' => 'fas fa-wine-bottle']);
        DB::table('property_fact')->where('id',160)->update(['icon' => 'fas fa-glass-whiskey']);
        DB::table('property_fact')->where('id',162)->update(['icon' => 'fas fa-cocktail']);
        DB::table('property_fact')->where('id',148)->update(['icon' => 'fas fa-umbrella-beach']);
        DB::table('property_fact')->where('id',226)->update(['icon' => 'fas fa-child']);
        DB::table('property_fact')->where('id',227)->update(['icon' => 'fas fa-swimming-pool']);
        DB::table('property_fact')->where('id',303)->update(['icon' => 'fas fa-border-none']);
        DB::table('property_fact')->where('id',320)->update(['icon' => 'fas fa-washer']);
        DB::table('property_fact')->where('id',313)->update(['icon' => 'fas fa-tshirt']);
        DB::table('property_fact')->where('id',346)->update(['icon' => 'fas fa-border-all']);
        DB::table('property_fact')->where('id',335)->update(['icon' => 'fas fa-bolt']);
        DB::table('property_fact')->where('id',372)->update(['icon' => 'fas fa-swimming-pool']);
        DB::table('property_fact')->where('id',186)->update(['name' => 'Coffee / Tea Maker']);

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
